Name:           twitux
Version:        0.69
Release:        4%{?dist}
Summary:        Twitux is a Twitter client for the Gnome desktop

Group:          Applications/Internet
License:        GPLv2+
URL:            http://sourceforge.net/projects/twitux/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-friend.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libcanberra-devel
BuildRequires:	gnome-keyring-devel
BuildRequires:	dbus-devel
BuildRequires:	libsexy-devel
BuildRequires:	GConf2-devel
BuildRequires:	libsoup-devel >= 2.3.4
BuildRequires:	libnotify-devel
BuildRequires:	glib2-devel >= 2.15.5
BuildRequires:	enchant-devel
BuildRequires:	iso-codes-devel
BuildRequires:  gettext
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:	gnome-doc-utils

Requires(pre):  GConf2
Requires(post): GConf2
Requires(post):	desktop-file-utils
Requires(post):	scrollkeeper
Requires(preun):GConf2
Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper


%description
Twitux is a Twitter client for the Gnome desktop.


%prep
%setup -q
%patch0 -p1 -b .friend


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install					\
  --delete-original                                     \
  --vendor fedora                                       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/twitux.schemas >/dev/null || :
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/twitux.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/twitux.schemas > /dev/null || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
scrollkeeper-update -q || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/twitux.*
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.69-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.69-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  1 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.69-2
- Add patch to fix friend add & removals.

* Sun Jan 25 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.69-1
- Update to 0.69.

* Sun Dec 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.68-1
- Update to 0.68.
- Add BR on gnome-doc-utils and libcanberra-devel.
- Add help files.
- Drop popup menu patch.  Fixed upstream.

* Fri Dec  5 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.65-2
- Add patch to fix notification popup menu.

* Tue Nov 11 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.65-1
- Update to 0.65.

* Tue Apr 29 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.62-1
- Update to 0.62.

* Mon Mar 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.61-1
- Update to 0.61.
- Add minimum requirements for glib2-devel & libsoup-devel.
- Drop libsoup patch, fixed upstream.
- Drop BR on libgnomeui-devel & openssl-devel.
- Update url & source, and other minor formatting changes.

* Thu Feb 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.60-4
- Rebuild for new libsoup.

* Wed Feb  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.60-3
- Add BR for gnome-keyring-devel & dbus-devel.
- Add patch to use libsoup-2.4 api. (Thanks to Dan Winship)

* Wed Jan 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-2.1
- Rebuild for newer libsoup.

* Sun Jan 13 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-2
- Clean up BRs
- Don't run update-desktop-database in scripts

* Sun Jan 13 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-1
- Upstream 0.60.
- New buildrequires: gnome-vfs2-devel libgnomeui-devel, libglade2-devel
- Handle gconf bits
- Update icon db, since we now install bits in hicolor

* Wed Sep 26 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.50-1
- Initial packaging.
